Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007731opensim[REGION] Specific OpenSim Modulepublic2015-10-25 21:072019-02-06 11:50
ReporterOtakuMegane 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007731: IRCBridgeModule random connect issues
DescriptionThe IRCBridgeModule will randomly fail to connect to a server or in some cases the connection may be unresponsive. Some research turned up that other client and bridge projects have run into similar problems as well. Apparently it is caused by trying to send certain commands such as JOIN before being fully registered with the IRC network. The solution was to wait for the RPL_WELCOME that indicates being fully registered with the IRC network and many also recommended waiting to receive the MOTD (or the response indicating there is no MOTD). A properly configured server should send both. Then it is safe to proceed with other commands.

I've created a patch that makes the module wait until it receives the welcome and MOTD responses before sending the initial JOIN request. Have tested it across a number of networks and have 100% success in connecting now with no further problems afterwards, instead of failing half or more of the attempts.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux32, Mono / Linux64
Mono VersionNone
Viewer
Attached Filespatch file icon 0001-Added-check-to-be-sure-the-IRC-network-has-fully-reg.patch [^] (4,019 bytes) 2015-10-25 22:48 [Show Content]

- Relationships

-  Notes
(0029516)
UbitUmarov (administrator)
2015-10-26 11:13

Applied a alternative fix on avinationmerge branch. Keep tracking of welcome and motd should not be necessary. The blind try to join on connect should be avoided. Some irds may ignore it completely until a valid user is accepted and created.
(0034586)
BillBlight (developer)
2019-02-06 11:50

Marked as Resolved but never closed, can be reopened if needed.

- Issue History
Date Modified Username Field Change
2015-10-25 21:07 OtakuMegane New Issue
2015-10-25 21:07 OtakuMegane File Added: 0001-Added-check-to-be-sure-the-IRC-network-has-fully-reg.patch
2015-10-25 22:48 OtakuMegane File Deleted: 0001-Added-check-to-be-sure-the-IRC-network-has-fully-reg.patch
2015-10-25 22:48 OtakuMegane File Added: 0001-Added-check-to-be-sure-the-IRC-network-has-fully-reg.patch
2015-10-26 11:13 UbitUmarov Note Added: 0029516
2015-11-30 16:18 OtakuMegane Status new => resolved
2015-11-30 16:18 OtakuMegane Resolution open => fixed
2015-11-30 16:18 OtakuMegane Fixed in Version => master (dev code)
2019-02-06 11:50 BillBlight Note Added: 0034586
2019-02-06 11:50 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker